Subject: Re: Git attributes ignored for root directory

From: Gioele Barabucci <[email-masked]>
Date: Thu, 13 Oct 2011 11:49:04 +0100

On 13/10/2011 00:12, Junio C Hamano wrote:
> Suppose you have a directory "foo" and want to say "I want to ignore
> everything in that directory". You would say "foo/" in .gitignore in the
> higher level and you are happy.
>
> How would you say the same thing if the directory to be ignored weren't
> "foo" but at the top-level of the working tree? There is no such level
> higher than the top-level where you can say "<the name of your project>/"
> in its .gitignore file.

Shouldn't `/.` or `/./` work?

I see that `/*/` in `.gitignores` successfully ignores all the 
non-hidden directories in the root project directory. Another accidental 
success? :)

-- 
Gioele Barabucci <[email-masked]>